using System;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "PromptList", menuName = "ScriptableObjects/Prompt List", order = 1)]
public class PromptList : ScriptableObject
{
    public List<Prompt> prompts = new();

    /// <summary>
    /// Create a new entry with a unique ID
    /// </summary>
    [ContextMenu("Create Entry")]
    private void CreateEntry()
    {
        Prompt temp = new()
        {
            id = Guid.NewGuid().ToString()
        };
        prompts.Add(temp);
    }

    public Prompt GetPromptById(string _id)
    {
        return prompts.Find(x => x.id == _id);
    }
}
